<?php
namespace Incoviba\Service\Contabilidad\Informe\Tesoreria\Output\Data;

class Totales
{
    public int $anterior = 0;
    public int $actual = 0;
    public int $ffmm = 0;
    public int $deposito = 0;
    public int $saldo = 0;

    public function diferencia(): int
    {
        return $this->actual - $this->anterior;
    }
    public function saldo(): int
    {
        return $this->diferencia() + $this->ffmm + $this->deposito;
    }
    public function cuentas(): int
    {
        return $this->actual;
    }
    public function ffmms(): int
    {
        return $this->ffmm;
    }
    public function depositos(): int
    {
        return $this->deposito;
    }
    public function caja(): int
    {
        return $this->cuentas() + $this->ffmms() + $this->depositos();
    }
}
